/**
 * @file
 * Main entry point for the glossaryLink CKEditor 5 plugin.
 */

import { Plugin } from "ckeditor5/src/core";
import GlossaryLinkEditing from "./glossarylinkediting";
import GlossaryLinkUI from "./glossarylinkui";

/**
 * The glossary link plugin.
 */
class GlossaryLink extends Plugin {
	/**
	 * @inheritdoc
	 */
	static get requires() {
		return [GlossaryLinkEditing, GlossaryLinkUI];
	}

	/**
	 * @inheritdoc
	 */
	static get pluginName() {
		return "GlossaryLink";
	}

	/**
	 * @inheritdoc
	 */
	init() {
		console.log("GlossaryLink plugin initialized!");
	}
}

export default {
	GlossaryLink,
};
